var getPerformanceMonitorPane = function(){
	return {
		title: FR.i18nText("FS-Plugin-SysMonitor_Performance_Monitor"),
		content: {
			type: 'absolute',
			items: [
				{
					el: {
						type: 'panel',
						width: 960,
						height: 25,
						doSize: true,
						contentWidget: {
							type: 'tablepane',
							colSize: [40, 165, 40, 165, 40, 60, 133, 120, 60, 50, 87],
							rowSize: [21],
							items: [
								[
									{
										type: 'llabel',
										value: FR.i18nText("FS-Plugin-SysMonitor_From"),
										textalign: 'center'
									},
									{
										type: 'datetime',
										value: new Date(),
										format: 'yyyy-MM-dd',
										widgetName: 'PERFORMANCE_MONITOR_START_DATE'
									},
									{
										type: 'llabel',
										value: FR.i18nText("FS-Plugin-SysMonitor_To"),
										textalign: 'center'
									},
									{
										type: 'datetime',
										value: new Date(),
										format: 'yyyy-MM-dd',
										widgetName: 'PERFORMANCE_MONITOR_END_DATE'
									},
									$('<div/>'),
									{
										type: 'llabel',
										value: FR.i18nText("FS-Plugin-SysMonitor_Category"),
										textalign: 'center'
									},
									{
										type: 'combo',
										directEdit: false,
										widgetName: 'PERFORMANCE_MONITOR_CATEGORY',
										width: 110,
										height: 21,
										items: [
											{
												value: 'view',
												text: FR.i18nText("FS-Plugin-SysMonitor_Operation_View")
											},{
												value: 'export',
												text: FR.i18nText("FS-Plugin-SysMonitor_Operation_Export")
											}]
									},
									$('<div/>'),
									{
										type: 'quickbutton',
										text: FR.i18nText("FS-Plugin-SysMonitor_Query"),
										style: 'blue',
										handler: function () {
											var performanceMonitorGrid = FS.SYSMONITOR.sysmonitor.getWidgetByName("PERFORMANCE_MONITOR_GRID");
											var performanceMonitorDetailsGrid = FS.SYSMONITOR.sysmonitor.getWidgetByName("PERFORMANCE_MONITOR_DETAILS_GRID");
											var startTime = this.getWidgetByName('PERFORMANCE_MONITOR_START_DATE').getValue();
											var endTime = this.getWidgetByName('PERFORMANCE_MONITOR_END_DATE').getValue();
											var category = this.getWidgetByName('PERFORMANCE_MONITOR_CATEGORY').getValue();

											var config = {
												url: FR.servletURL + '?op=advance_monitor&cmd=get_performance',
												type: 'POST',
												data: {
													startTime: startTime,
													endTime: endTime,
													category: category
												}
											};
											var completeFn = function(res, status){
												if (status === 'success') {
													var result = FR.jsonDecode(res.responseText);
													performanceMonitorGrid.activedPage = 1;
													performanceMonitorDetailsGrid.activedPage = 1;
													performanceMonitorGrid.refresh(result.brief);
													performanceMonitorDetailsGrid.refresh(result.detail);
												}
											};
											FS.Async.ajax(config,completeFn);
										}
									},
									$('<div/>'),
									{
										type: 'checkbox',
										marginleft: 0,
										widgetName: 'VIEW_DETAILS',
										text: FR.i18nText("FS-Plugin-SysMonitor_View_Details"),
										listeners: [{
											eventName: 'afteredit',
											action: function() {
												var performanceMonitorPane = FS.SYSMONITOR.sysmonitor.getWidgetByName("PERFORMANCE_MONITOR_PANE");
												var performanceMonitorDetailsPane = FS.SYSMONITOR.sysmonitor.getWidgetByName("PERFORMANCE_MONITOR_DETAILS_PANE");
												performanceMonitorDetailsPane.setVisible(this.getValue());
												performanceMonitorPane.setVisible(!this.getValue());
											}
										}],
										selected: false
									}
								]
							]
						}
					}, x: 40, y: 70
				},
				{
					el: {
						type: 'panel',
						width: 830,
						height: 450,
						doSize: true,
						invisible: false,
						widgetName: 'PERFORMANCE_MONITOR_PANE',
						contentWidget: {
							type: 'tablepane',
							colSize: [830],
							rowSize: [450],
							items: [
								[{
									type: 'quickgrid',
									isInitWithData: false,
									widgetName: 'PERFORMANCE_MONITOR_GRID',
									page: true,
									pageCount: 15,
									columnsConfig: [
										{
											key: 'templatename',
											value: FR.i18nText("FS-Plugin-SysMonitor_Template_Name"),
											width: 130
										},{
											key: 'path',
											value: FR.i18nText("FS-Plugin-SysMonitor_Path"),
											width: 200
										},{
											key: 'longest_restime',
											value: FR.i18nText("FS-Plugin-SysMonitor_Respond_Time_Longest"),
											width: 130
										}, {
											key: 'shortest_restime',
											value: FR.i18nText("FS-Plugin-SysMonitor_Respond_Time_Shortest"),
											width: 130
										}, {
											key: 'avgduration',
											value: FR.i18nText("FS-Plugin-SysMonitor_Avg_Duration"),
											width: 120
										}, {
											key: 'avgmemory',
											value: FR.i18nText("FS-Plugin-SysMonitor_Avg_Memory"),
											width: 120
										}
									]
								}]
							]
						}

					}, x: 40, y: 100
				},
				{
					el: {
						type: 'panel',
						width: 860,
						height: 450,
						doSize: true,
						invisible: true,
						widgetName: 'PERFORMANCE_MONITOR_DETAILS_PANE',
						contentWidget: {
							type: 'tablepane',
							colSize: [860],
							rowSize: [450],
							items: [
								[{
									type: 'quickgrid',
									isInitWithData: false,
									widgetName: 'PERFORMANCE_MONITOR_DETAILS_GRID',
									page: true,
									pageCount: 15,
									columnsConfig: [
										{
											key: 'path',
											value: FR.i18nText("FS-Plugin-SysMonitor_Path"),
											width: 200
										}, {
											key: 'username',
											value: FR.i18nText("FS-Plugin-SysMonitor_UserName"),
											width: 120
										}, {
											key: 'queryIP',
											value: FR.i18nText("FS-Plugin-SysMonitor_Query_IP"),
											width: 120
										}, {
											key: 'querytime',
											value: FR.i18nText("FS-Plugin-SysMonitor_Query_Time"),
											width: 200
										}, {
											key: 'duration',
											value: FR.i18nText("FS-Plugin-SysMonitor_Duration"),
											width: 110
										}, {
											key: 'memoccupancy',
											value: FR.i18nText("FS-Plugin-SysMonitor_Memory_Occupancy"),
											width: 110
										}
									]
								}]
							]
						}
					}, x: 40, y: 100
				}
			]
		}
	};
};

FS.Plugin.SystemMonitor.push(
	{
		extraPane: getPerformanceMonitorPane
	}
);