var getTemplateList = function() {
	var result = FS.Sync.ajax({
		url: FR.servletURL + '?op=advance_monitor&cmd=get_template_list',
		type: 'POST',
		data: {
		}
	});
	return result;
};

var getTemplateFreqPane = function(){
	return {
		title: FR.i18nText("FS-Plugin-SysMonitor_Template_Freq"),
		content: {
			type: 'absolute',
			items: [
				{
					el: {
						type: 'panel',
						width: 753,
						height: 25,
						doSize: true,
						contentWidget: {
							type: 'tablepane',
							colSize: [40, 165, 40, 165, 40, 60, 140, 43, 60],
							rowSize: [21],
							items: [
								[
									{
										type: 'llabel',
										value: FR.i18nText("FS-Plugin-SysMonitor_From"),
										textalign: 'center'
									},
									{
										type: 'datetime',
										value: new Date(),
										format: 'yyyy-MM-dd',
										widgetName: 'TEMPLATE_FREQ_START_DATE'
									},
									{
										type: 'llabel',
										value: FR.i18nText("FS-Plugin-SysMonitor_To"),
										textalign: 'center'
									},
									{
										type: 'datetime',
										value: new Date(),
										format: 'yyyy-MM-dd',
										widgetName: 'TEMPLATE_FREQ_END_DATE'
									},
									$('<div/>'),
									{
										type: 'llabel',
										value: FR.i18nText("FS-Plugin-SysMonitor_Template"),
										textalign: 'center'
									},
									{
										type: 'newcombocheckbox',
										supportTag: false,
										widgetName: 'TEMPLATE_FREQ_TEMPLATE',
										width: 120,
										height: 21,
										widgetUrl: FR.servletURL + "?op=advance_monitor&cmd=get_template_list&serverID=" + FS.serverID,
										items: getTemplateList()
									},
									$('<div/>'),
									{
										type: 'quickbutton',
										text: FR.i18nText("FS-Plugin-SysMonitor_Query"),
										widgetName: 'TEMPLATE_FREQ_QUERY',
										style: 'blue',
										handler: function () {
											var templateFreqPane = FS.SYSMONITOR.sysmonitor.getWidgetByName("TEMPLATE_FREQ_PANE");
											var templateOpDetailsPane = FS.SYSMONITOR.sysmonitor.getWidgetByName("TEMPLATE_OPDETAILS_PANE");
											var templateFreqGrid = FS.SYSMONITOR.sysmonitor.getWidgetByName("TEMPLATE_FREQ_GRID");
											var startTime = this.getWidgetByName('TEMPLATE_FREQ_START_DATE').getValue();
											var endTime = this.getWidgetByName('TEMPLATE_FREQ_END_DATE').getValue();
											var templatePath = this.getWidgetByName('TEMPLATE_FREQ_TEMPLATE').getValue();
											var templateName = this.getWidgetByName('TEMPLATE_FREQ_TEMPLATE').getText();

											var config = {
												url: FR.servletURL + '?op=advance_monitor&cmd=get_template_freq',
												type: 'POST',
												data: {
													startTime: startTime,
													endTime: endTime,
													templateName: templateName,
													templatePath: templatePath
												}
											};
											var completeFn = function(res, status){
												if (status === 'success') {
													var result = FR.jsonDecode(res.responseText);
													templateFreqGrid.activedPage = 1;
													templateFreqGrid.refresh(result);
												}
											};
											FS.Async.ajax(config,completeFn);

											templateFreqPane.setVisible(true);
											templateOpDetailsPane.setVisible(false);
										}
									}
								]
							]
						}
					}, x: 40, y: 70
				},
				{
					el: {
						type: 'panel',
						width: 700,
						height: 450,
						doSize: true,
						invisible: false,
						widgetName: 'TEMPLATE_FREQ_PANE',
						contentWidget: {
							type: 'tablepane',
							colSize: [700],
							rowSize: [450],
							items: [
								[{
									type: 'quickgrid',
									isInitWithData: false,
									widgetName: 'TEMPLATE_FREQ_GRID',
									page: true,
									pageCount: 15,
									columnsConfig: [
										{
											key: 'number',
											value: FR.i18nText("FS-Plugin-SysMonitor_Number"),
											width: 40
										},{
											key: 'templatename',
											value: FR.i18nText("FS-Plugin-SysMonitor_Template_Name"),
											width: 140
										},{
											key: 'templatepath',
											value: FR.i18nText("FS-Plugin-SysMonitor_Path"),
											width: 200,
											onCellCreate: function (rowIdx, colIdx, item, colCfg) {
												var self = this;
												var $cell = $('<div class="fs-advSysMonitor-detail"/>')
													.text(item.templatepath)
													.hover(
													function () {
														$(this).addClass('fs-advSysMonitor-detail-hover')
													},
													function () {
														$(this).removeClass('fs-advSysMonitor-detail-hover')
													}
												).width(200)
													.click(function () {
														var templateFreqPane = FS.SYSMONITOR.sysmonitor.getWidgetByName("TEMPLATE_FREQ_PANE");
														var templateOpDetailsPane = FS.SYSMONITOR.sysmonitor.getWidgetByName("TEMPLATE_OPDETAILS_PANE");
														var templateOpDetailsGrid = FS.SYSMONITOR.sysmonitor.getWidgetByName("TEMPLATE_OPDETAILS_GRID");
														var startTime = FS.SYSMONITOR.sysmonitor.getWidgetByName('TEMPLATE_FREQ_START_DATE');
														var endTime = FS.SYSMONITOR.sysmonitor.getWidgetByName('TEMPLATE_FREQ_END_DATE');
														var detailLabel = FS.SYSMONITOR.sysmonitor.getWidgetByName('TEMPLATE_OPDETAILS_LABEL');
														var templatePath = item.templatepath;

														var config = {
															url: FR.servletURL + '?op=advance_monitor&cmd=get_detail_freq',
															type: 'POST',
															data: {
																startTime: startTime.getValue(),
																endTime: endTime.getValue(),
																templatePath: templatePath
															}
														};
														var completeFn = function(res, status){
															if (status === 'success') {
																var result = FR.jsonDecode(res.responseText);
																templateOpDetailsGrid.activedPage = 1;
																templateOpDetailsGrid.refresh(result);
															}
														};
														FS.Async.ajax(config,completeFn);

														templateOpDetailsPane.setVisible(true);
														templateFreqPane.setVisible(false);
														detailLabel.options.text = item.templatename + "(" + item.templatepath + ")";
														detailLabel._init();
													});
												return $cell;
											}
										},{
											key: 'querytimes',
											value: FR.i18nText("FS-Plugin-SysMonitor_Query_Times"),
											width: 70
										},{
											key: 'exporttimes',
											value: FR.i18nText("FS-Plugin-SysMonitor_Export_Times"),
											width: 70
										},{
											key: 'printtimes',
											value: FR.i18nText("FS-Plugin-SysMonitor_Print_Times"),
											width: 70
										},{
											key: 'totaltimes',
											value: FR.i18nText("FS-Plugin-SysMonitor_Total_Op_Times"),
											width: 110
										}
									]
								}]
							]
						}

					}, x: 40, y: 100
				},
				{
					el: {
						type: 'panel',
						width: 780,
						height: 470,
						doSize: true,
						invisible: true,
						widgetName: 'TEMPLATE_OPDETAILS_PANE',
						contentWidget: {
							type: 'tablepane',
							colSize: [780],
							rowSize: [8,21,441],
							items: [
								[$('<div/>')],
								[{
									type: 'tablepane',
									colSize: [460, 120, 200],
									rowSize: [21],
									items:[
										[{
											type: 'iconbutton',
											text: '',
											widgetName: 'TEMPLATE_OPDETAILS_LABEL',
											baseClass: 'fs-advSysMonitor-left_icon_btn'
										}
											,$('<div/>'),
											{
												type: 'iconbutton',
												text: FR.i18nText("FS-Plugin-SysMonitor_BackTo_TemplateFreq_SumTable"),
												baseClass: 'fs-advSysMonitor-right_icon_btn',
												handler: function () {
													var tempFreqPane = FS.SYSMONITOR.sysmonitor.getWidgetByName("TEMPLATE_FREQ_PANE");
													var tempOpDetailsPane = FS.SYSMONITOR.sysmonitor.getWidgetByName("TEMPLATE_OPDETAILS_PANE");
													var queryBtn = FS.SYSMONITOR.sysmonitor.getWidgetByName('TEMPLATE_FREQ_QUERY');
													tempOpDetailsPane.setVisible(false);
													tempFreqPane.setVisible(true);
													queryBtn.setEnable(true);
												}
											}]
									]
								}],
								[{
									type: 'quickgrid',
									isInitWithData: false,
									widgetName: 'TEMPLATE_OPDETAILS_GRID',
									page: true,
									pageCount: 15,
									columnsConfig: [
										{
											key: 'username',
											value: FR.i18nText("FS-Plugin-SysMonitor_UserName"),
											width: 160
										}, {
											key: 'queryIP',
											value: FR.i18nText("FS-Plugin-SysMonitor_Query_IP"),
											width: 195
										}, {
											key: 'querytime',
											value: FR.i18nText("FS-Plugin-SysMonitor_Query_Time"),
											width: 265
										}, {
											key: 'operation',
											value: FR.i18nText("FS-Plugin-SysMonitor_Operation"),
											width: 160
										}
									]
								}]
							]
						}
					}, x: 40, y: 100
				}
			]
		}
	};
};
FS.Plugin.SystemMonitor.push(
	{
		extraPane: getTemplateFreqPane
	}
);