var getUserList = function() {
	var result = FS.Sync.ajax({
		url: FR.servletURL + '?op=advance_monitor&cmd=get_user_list',
		type: 'POST',
		data: {
		}
	});
	return result;
};

var getUserBehaviorPane = function () {
	return {
		title: FR.i18nText("FS-Plugin-SysMonitor_User_Behavior"),
		content: {
			type: 'absolute',
			items: [
				{
					el: {
						type: 'panel',
						width: 755,
						height: 25,
						doSize: true,
						contentWidget: {
							type: 'tablepane',
							colSize: [40, 165, 40, 165, 20, 30, 140, 80, 60],
							rowSize: [21],
							items: [
								[
									{
										type: 'llabel',
										value: FR.i18nText("FS-Plugin-SysMonitor_From"),
										textalign: 'center'
									},
									{
										type: 'datetime',
										value: new Date(),
										format: 'yyyy-MM-dd',
										widgetName: 'USER_BEHAVIOR_START_DATE'
									},
									{
										type: 'llabel',
										value: FR.i18nText("FS-Plugin-SysMonitor_To"),
										textalign: 'center'
									},
									{
										type: 'datetime',
										value: new Date(),
										format: 'yyyy-MM-dd',
										widgetName: 'USER_BEHAVIOR_END_DATE'
									},
									$('<div/>'),
									{
										type: 'llabel',
										value: FR.i18nText("FS-Plugin-SysMonitor_User"),
										textalign: 'center'
									},
									{
										type: 'newcombocheckbox',
										supportTag: false,
										widgetName: 'USER_BEHAVIOR_USER_NAME',
										width: 120,
										height: 21,
										directEdit: true,
										widgetUrl: FR.servletURL + "?op=advance_monitor&cmd=get_user_list&serverID=" + FS.serverID,
										items: getUserList()
									},
									$('<div/>'),
									{
										type: 'quickbutton',
										text: FR.i18nText("FS-Plugin-SysMonitor_Query"),
										widgetName: 'USER_BEHAVIOR_QUERY',
										style: 'blue',
										handler: function () {
											var userBehaviorPane = FS.SYSMONITOR.sysmonitor.getWidgetByName("USER_BEHAVIOR_PANE");
											var userOpDetailsPane = FS.SYSMONITOR.sysmonitor.getWidgetByName("USER_OPDETAILS_PANE");
											var userBehaviorGrid = FS.SYSMONITOR.sysmonitor.getWidgetByName("USER_BEHAVIOR_GRID");
											var startTime = this.getWidgetByName('USER_BEHAVIOR_START_DATE').getValue();
											var endTime = this.getWidgetByName('USER_BEHAVIOR_END_DATE').getValue();
											var userName = this.getWidgetByName('USER_BEHAVIOR_USER_NAME').getValue();

											var config = {
												url: FR.servletURL + '?op=advance_monitor&cmd=get_user_operation',
												type: 'POST',
												data: {
													startTime: startTime,
													endTime: endTime,
													user: userName
												}
											};
											var completeFn = function(res, status){
												if (status === 'success') {
													var result = FR.jsonDecode(res.responseText);
													userBehaviorGrid.activedPage = 1;
													userBehaviorGrid.refresh(result);
												}
											};
											FS.Async.ajax(config,completeFn);
											userOpDetailsPane.setVisible(false);
											userBehaviorPane.setVisible(true);
										}
									}
								]
							]
						}
					}, x: 40, y: 70
				},
				{
					el: {
						type: 'panel',
						width: 700,
						height: 450,
						doSize: true,
						invisible: false,
						widgetName: 'USER_BEHAVIOR_PANE',
						contentWidget: {
							type: 'tablepane',
							colSize: [700],
							rowSize: [450],
							items: [
								[{
									type: 'quickgrid',
									isInitWithData: false,
									widgetName: 'USER_BEHAVIOR_GRID',
									page: true,
									pageCount: 15,
									columnsConfig: [
										{
											key: 'number',
											value: FR.i18nText("FS-Plugin-SysMonitor_Number"),
											width: 50
										}, {
											key: 'username',
											value: FR.i18nText("FS-Plugin-SysMonitor_UserName"),
											width: 130,
											onCellCreate: function (rowIdx, colIdx, item, colCfg) {
												var self = this;
												var $cell = $('<div class="fs-advSysMonitor-detail"/>')
													.text(item.username)
													.hover(
													function () {
														$(this).addClass('fs-advSysMonitor-detail-hover')
													},
													function () {
														$(this).removeClass('fs-advSysMonitor-detail-hover')
													}
												)
													.click(function () {
														var userBehaviorPane = FS.SYSMONITOR.sysmonitor.getWidgetByName("USER_BEHAVIOR_PANE");
														var userOpDetailsPane = FS.SYSMONITOR.sysmonitor.getWidgetByName("USER_OPDETAILS_PANE");
														var userOpDetailsGrid = FS.SYSMONITOR.sysmonitor.getWidgetByName("USER_OPDETAILS_GRID");
														var startTime = FS.SYSMONITOR.sysmonitor.getWidgetByName('USER_BEHAVIOR_START_DATE');
														var endTime = FS.SYSMONITOR.sysmonitor.getWidgetByName('USER_BEHAVIOR_END_DATE');
														var detailLabel = FS.SYSMONITOR.sysmonitor.getWidgetByName('USER_OPDETAILS_LABEL');
														var userName = item.username;

														var config = {
															url: FR.servletURL + '?op=advance_monitor&cmd=get_detail_operation',
															type: 'POST',
															data: {
																startTime: startTime.getValue(),
																endTime: endTime.getValue(),
																user: userName
															}
														};
														var completeFn = function(res, status){
															if (status === 'success') {
																var result = FR.jsonDecode(res.responseText);
																userOpDetailsGrid.refresh(result);
																userOpDetailsGrid.activedPage = 1;
															}
														};
														FS.Async.ajax(config,completeFn);

														userOpDetailsPane.setVisible(true);
														userBehaviorPane.setVisible(false);
														detailLabel.options.text = item.username + FR.i18nText("FS-Plugin-SysMonitor_Operation_Details");
														detailLabel._init();
													});
												return $cell;
											}
										}, {
											key: 'querytimes',
											value: FR.i18nText("FS-Plugin-SysMonitor_Query_Times"),
											width: 130
										}, {
											key: 'exporttimes',
											value: FR.i18nText("FS-Plugin-SysMonitor_Export_Times"),
											width: 130
										}, {
											key: 'printtimes',
											value: FR.i18nText("FS-Plugin-SysMonitor_Print_Times"),
											width: 130
										}, {
											key: 'totaltimes',
											value: FR.i18nText("FS-Plugin-SysMonitor_Total_Op_Times"),
											width: 130
										}
									]
								}]
							]
						}

					}, x: 40, y: 100
				},
				{
					el: {
						type: 'panel',
						width: 700,
						height: 470,
						doSize: true,
						invisible: true,
						widgetName: 'USER_OPDETAILS_PANE',
						contentWidget: {
							type: 'tablepane',
							colSize: [700],
							rowSize: [8,21,441],
							items: [
								[$('<div/>')],
								[{
									type: 'tablepane',
									colSize: [200, 300, 200],
									rowSize: [21],
									items:[
										[{
											type: 'iconbutton',
											text: FR.i18nText("FS-Plugin-SysMonitor_Operation_Details"),
											widgetName: 'USER_OPDETAILS_LABEL',
											baseClass: 'fs-advSysMonitor-left_icon_btn'
										}
											,$('<div/>'),
											{
												type: 'iconbutton',
												text: FR.i18nText("FS-Plugin-SysMonitor_BackTo_UserOp_SumTable"),
												baseClass: 'fs-advSysMonitor-right_icon_btn',
												handler: function () {
													var userBehaviorPane = FS.SYSMONITOR.sysmonitor.getWidgetByName("USER_BEHAVIOR_PANE");
													var userOpDetailsPane = FS.SYSMONITOR.sysmonitor.getWidgetByName("USER_OPDETAILS_PANE");
													userOpDetailsPane.setVisible(false);
													userBehaviorPane.setVisible(true);
												}
											}]
									]
								}],
								[{
									type: 'quickgrid',
									isInitWithData: false,
									widgetName: 'USER_OPDETAILS_GRID',
									page: true,
									pageCount: 15,
									columnsConfig: [
										{
											key: 'reportname',
											value: FR.i18nText("FS-Plugin-SysMonitor_Report_Name"),
											width: 180
										}, {
											key: 'querytimes',
											value: FR.i18nText("FS-Plugin-SysMonitor_Query_Times"),
											width: 130
										}, {
											key: 'exporttimes',
											value: FR.i18nText("FS-Plugin-SysMonitor_Export_Times"),
											width: 130
										}, {
											key: 'printtimes',
											value: FR.i18nText("FS-Plugin-SysMonitor_Print_Times"),
											width: 130
										}, {
											key: 'totaltimes',
											value: FR.i18nText("FS-Plugin-SysMonitor_Total_Op_Times"),
											width: 130
										}
									]
								}]
							]
						}
					}, x: 40, y: 100
				}
			]
		}
	};
};
FS.Plugin.SystemMonitor.push(
	{
		extraPane: getUserBehaviorPane
	}
);